<template>
    <div class="report-overview">
        <!--  -->

        <div class="content-box">
            <div class="left-table" :element-loading-background="loadingColor" v-loading="tableLoading">
                <el-table ref="dataTable" :data="tableData" id="table-bigger-detail" class="dialog_table" border
                    style="width: 100%" row-key="pushId" highlight-current-row>
                    <el-table-column prop="groupName" label="专项小组" width="180" align="center" show-overflow-tooltip>
                    </el-table-column>
                    <el-table-column v-for="(column,index) in tableColumn" :key="column.id" :label="column.name" width="160" align="center">
                        <el-table-column prop="score2" label="得分" min-width="60" align="center" v-if="column.name !== '综合评价'">
                            <template v-slot="{ row }">
                                {{ row[`score${index + 1}`] > -1 ? row[`score${index + 1}`] : '-' }}
                            </template>
                        </el-table-column>
                        <el-table-column label="评价" min-width="120" align="center">
                            <template v-slot="{ row }">
                                <el-rate class="demonstration" v-model="row[`value${index + 1}`]" disabled
                                    disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                            </template>
                        </el-table-column>
                    </el-table-column>
                    <!-- <el-table-column label="综合评价" min-width="170" align="center">
                        <template v-slot="{ row }">
                            <el-rate class="demonstration" v-model="row.value1" disabled
                                disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                        </template>
                    </el-table-column> 
                    <el-table-column label="提出的改革需求数" width="180" align="center">
                        <el-table-column prop="score2" label="得分" width="80" align="center">
                            <template v-slot="{ row }">
                                {{ row.score2 || '-' }}
                            </template>
                        </el-table-column>
                        <el-table-column label="评价" width="160" align="center">
                            <template v-slot="{ row }">
                                <el-rate class="demonstration" v-model="row.value2" disabled
                                    disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                            </template>
                        </el-table-column>
                    </el-table-column>
                    <el-table-column label="印发实施重点改革项目方案占比" width="180" align="center">
                        <el-table-column prop="score3" label="得分" width="80" align="center">
                            <template v-slot="{ row }">
                                {{ row.score3 || '-' }}
                            </template>
                        </el-table-column>
                        <el-table-column label="评价" width="160" align="center">
                            <template v-slot="{ row }">
                                <el-rate class="demonstration" v-model="row.value3" disabled
                                    disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                            </template>
                        </el-table-column>
                    </el-table-column>
                    <el-table-column label="加快实施项目核心指标达到时序要求占比" width="180" align="center">
                        <el-table-column prop="score4" label="得分" width="80" align="center">
                            <template v-slot="{ row }">
                                {{ row.score4 || '-' }}
                            </template>
                        </el-table-column>
                        <el-table-column label="评价" width="160" align="center">
                            <template v-slot="{ row }">
                                <el-rate class="demonstration" v-model="row.value4" disabled
                                    disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                            </template>
                        </el-table-column>
                    </el-table-column>
                    <el-table-column label="获评改革创新奖数" width="180" align="center">
                        <el-table-column prop="score5" label="得分" width="80" align="center">
                            <template v-slot="{ row }">
                                {{ row.score5 || '-' }}
                            </template>
                        </el-table-column>
                        <el-table-column label="评价" width="160" align="center">
                            <template v-slot="{ row }">
                                <el-rate class="demonstration" v-model="row.value5" disabled
                                    disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                            </template>
                        </el-table-column>
                    </el-table-column>
                    <el-table-column label="累计获评基层改革典型案例数" width="180" align="center">
                        <el-table-column prop="score6" label="得分" width="80" align="center">
                            <template v-slot="{ row }">
                                {{ row.score6 || '-' }}
                            </template>
                        </el-table-column>
                        <el-table-column label="评价" width="160" align="center">
                            <template v-slot="{ row }">
                                <el-rate class="demonstration" v-model="row.value6" disabled
                                    disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                            </template>
                        </el-table-column>
                    </el-table-column>
                    <el-table-column label="争取上级改革支持事项数" width="180" align="center">
                        <el-table-column prop="score7" label="得分" width="80" align="center">
                            <template v-slot="{ row }">
                                {{ row.score7 || '-' }}
                            </template>
                        </el-table-column>
                        <el-table-column label="评价" width="160" align="center">
                            <template v-slot="{ row }">
                                <el-rate class="demonstration" v-model="row.value7" disabled
                                    disabled-void-icon-class="el-icon-star-off" disabled-void-color="#0E3A89"></el-rate>
                            </template>
                        </el-table-column>
                    </el-table-column> -->
                </el-table>
                <!-- <div style="font-size: 18px;">备注：{{ remarks }} </div> -->
            </div>
        </div>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
import utils from '@/utils.js'
export default {
    name: 'groupAir',
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.8)',
            tableLoading: false,
            params: {
                pageBean: {
                    page: 1,
                    pageSize: 20,
                    total: 0,
                    showTotal: true,
                },
                querys: [],
            },
            tableData: [],
            zhpjArr: [],
            groupAirHeader: [],
            remarks: '',
            tableColumn: []
        }
    },
    beforeDestroy() {
        this.$bus.$off('changeDate')
    },
    mounted() {
        this.setTableColumn()
        this.$bus.$on('changeDate', (searchDate) => {
            this.setTableColumn()
        })
    },
    created() {
        this.$emit('searchDateChange')
    },
    methods: {
        setTableColumn() {
            this.tableLoading = true
            let { year, month } = JSON.parse(sessionStorage.getItem('searchDate'))
            let data = JSON.parse(sessionStorage.getItem('dict_data'))
            if (year < 2025) {
                if (month < 7) {
                    this.tableColumn = data.zxxzlszb
                } else if (month < 9) {
                    this.tableColumn = data['zxxzlszb_2']
                } else {
                    let tableColumn = data['zxxzlszb_2']
                    tableColumn[7].name = '争取到中央改革试点数'
                    this.tableColumn = tableColumn
                }
            } else {
                this.tableColumn = data['zxxzlszb_3']
            }
            // this.tableColumn = year < 2025 && month < 7 ? data.zxxzlszb : data['zxxzlszb_2']
            this.getData(year, month)
        },
        getDictName(code, value) {
            return utils.getDictName(code, value)
        },
        getGroupAirHeader() {
            this.groupAirHeader = []
            let data = JSON.parse(sessionStorage.getItem('dict_data'))
            data.zxxzlszb.forEach(item => {
                this.groupAirHeader.push({ name: item.name, value: [] })
            })
        },
        getData(year, month) {
            let tableData = [
                { groupName: '党建统领', groupCode: 'djtl' },
                { groupName: '经济体制', groupCode: 'jjtz' },
                { groupName: '社会民生', groupCode: 'shms' },
                { groupName: '民主法制', groupCode: 'mzfz' },
                { groupName: '文化体制', groupCode: 'whtz' },
                { groupName: '平安法治', groupCode: 'pafz' },
            ]
            let codes = ['djtl', 'jjtz', 'shms', 'mzfz', 'whtz', 'pafz',]
            apiList.getGroupDrying({ year, month }, res => {
                if (res) {
                    if (res.data) {
                        let arr = []
                        codes.forEach(code => {
                            if (res.data[code]) {
                                arr = [...arr, ...res.data[code]]
                            }
                        })
                        tableData.forEach(elm => {
                            arr.forEach(item => {
                                if (item.groupCode === elm.groupCode) {
                                    elm[`value${item.indexCode}`] = item.indexStar || 0
                                    elm[`score${item.indexCode}`] = item.indexScore || 0
                                }
                            })
                        })
                        this.tableData = tableData.sort((a,b) => b.value1 - a.value1)
                    }
                    this.tableData = tableData
                    if (res.work) {
                        this.remarks = res.work.remarks || ''
                    }
                }
                this.tableLoading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
/deep/.el-rate__icon {
    font-size: 20PX !important;
    margin-right: 1PX;
}

/deep/.el-rate__icon::before {
    font-size: 20PX !important;
}

/deep/.el-rate__decimal {
    font-size: 20PX !important;
}

/deep/.el-table__expanded-cell {
    background: #043072 !important;
    padding: 20PX 10PX;
}

l /deep/.el-table__expand-column .cell {
    display: none;
}

/deep/.el-collapse {
    border: none;
}

/deep/.el-collapse-item__wrap {
    background: transparent;
    border: none;
}

/deep/.el-descriptions .is-bordered .el-descriptions-item__cell {
    border-color: #245cf3;
    background: transparent;
    color: #fff;
    font-size: 18PX;
}

/deep/.el-table td.el-table__cell div {
    background: transparent;
}

/deep/.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__cell {
    background: rgba(2, 115, 233, .5) !important;
}

/deep/.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__expanded-cell {
    background: transparent !important;
}

/deep/.dialog_table.el-table tr:nth-of-type(2n + 1) {
    background: transparent;
}

/deep/.el-descriptions__body {
    background: transparent;
}

/deep/.el-collapse-item__header.is-active {
    border-bottom-color: transparent;
    background: transparent;
    color: #245cf3;
    font-size: 20px;
    font-weight: bold;
}

/deep/.el-collapse-item__header {
    background: transparent;
    color: #245cf3;
    font-size: 18PX !important;
    font-weight: bold;
    border: none;
}

/deep/.el-collapse-item__arrow {
    margin: 0;
    font-weight: bold;
}

/deep/.dialog-table-expand label {
    width: 120px;
    color: #fff;
    font-family: SimHei;
}

/deep/.el-table__body tr.current-row>td.el-table__cell {
    background: rgba(2, 115, 233, .5) !important;
}

/deep/ .el-table th.gutter {
    border: none !important;
    background: transparent !important;
}

/deep/ .el-table colgroup col[name='gutter'] {
    border: none !important;
    background: transparent !important;
}

/deep/.el-table {
    background: transparent;
    border: 1px solid rgba(2, 115, 233, 0.5);
    margin-bottom: 10PX;

    ::-webkit-scrollbar-thumb {
        background-color: #114385 !important;
    }

    ::-webkit-scrollbar-track {
        background: #01215a !important;
    }

    ::-webkit-scrollbar {
        background: #01215a !important;
    }
}

/deep/.el-table th.el-table__cell.is-leaf,
/deep/.el-table td.el-table__cell {
    border-bottom: 1px solid #245cf3;
}

/deep/.el-table--border th,
/deep/.el-table--border td {
    border-right: 1px solid #245cf3 !important;
}

/deep/.el-table--border th {
    .cell {
        line-height: 25PX;
    }
}

/deep/.el-table--border {
    .el-table__expand-column {
        border: none !important;
    }
}

/deep/.el-table--border::after,
/deep/.el-table::before {
    width: 0;
    height: 0;
}

/deep/.el-table tr,
/deep/.el-table thead tr,
/deep/.el-table thead tr th {
    background: transparent !important;
}

/deep/.el-table--border th.el-table__cell {
    border-bottom: 1px solid #245cf3;
}

/deep/.el-table th.el-table__cell>.cell,
/deep/.el-table td>.cell {
    font-size: 18PX;
    color: #fff;
    padding: 15px 10px;

    div,
    span {
        font-size: 18PX;
    }

    .el-button {
        height: auto;
    }
}
</style>
<style lang="scss" scoped>
.report-overview {
    height: 100%;
    margin-top: 5PX;

    >.el-row {
        height: 60PX;
        margin-bottom: 20PX;

        .search-label {
            height: 20PX;
            font-size: 18PX;
        }

        .search-btn {
            /deep/.el-button {
                height: 40PX;

                >* {
                    font-size: 18PX;
                }
            }
        }

        /deep/.el-input__inner {
            color: #fff;
            font-size: 18PX;
            height: 40PX;
            box-sizing: border-box;
            background: transparent;
            border: 1px solid #114385;

            &::placeholder {
                color: #fff;
                font-size: 18PX !important;
            }

            &::-webkit-input-placeholder {
                font-size: 18PX !important;
            }
        }
    }

    .content-box {
        margin-top: 10PX;
        height: calc(100% - 10PX);
        display: flex;
        gap: 10PX;

        .left-table {
            width: 100%;
            height: 100%;
        }
    }

    /deep/ .el-select-dropdown__item {
        background-color: #0d57ac !important;
        color: rgba(230, 247, 255, 0.7);

        span {
            font-size: 14px;
        }
    }

    /deep/ .el-select-dropdown__list {
        padding: 0;
    }

    /deep/ .el-select-dropdown {
        border: solid 1px #0273e9;
        background-color: rgba(1, 47, 115, 0.6);
    }

    /deep/.el-select-dropdown__item.hover,
    /deep/ .el-select-dropdown__item:hover {
        background-color: #025ec0 !important;
    }

    /deep/.el-popper[x-placement^="bottom"] .popper__arrow::after {
        border-bottom-color: #0d57ac;
    }

    /deep/.el-popper[x-placement^="bottom"] .popper__arrow {
        border-bottom-color: #0273e9;
    }
}
</style>
<style lang="scss">
.file-popper {
    background: #043072 !important;
    border: #043072;
    color: #fff;
    font-size: 14px;

    .el-popover__title {
        color: #fff;
        font-size: 16px;
    }

    .popper__arrow {
        border-left-color: #043072 !important;

        &::after {
            border-left-color: #043072 !important;
        }
    }
}
</style>